Module org.hsqldb
Package org.hsqldb.lib

## Interface FileAccess

- All Known Implementing Classes:
    `FileAccessRes`, `FileUtil`

      public interface FileAccess

  Interface for abstraction of file access.
  Since:
    1.8.0
  Author:
    Ocke Janssen oj@openoffice.org

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static interface` | `FileAccess.FileSync` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `ELEMENT_READ` |
    `static int` | `ELEMENT_READWRITE` |
    `static int` | `ELEMENT_SEEKABLEREAD` |
    `static int` | `ELEMENT_TRUNCATE` |
    `static int` | `ELEMENT_WRITE` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `createParentDirs​(java.lang.String filename)` |
    `FileAccess.FileSync` | `getFileSync​(java.io.OutputStream os)` |
    `boolean` | `isStreamElement​(java.lang.String elementName)` |
    `java.io.InputStream` | `openInputStreamElement​(java.lang.String streamName)` |
    `java.io.OutputStream` | `openOutputStreamElement​(java.lang.String streamName)` |
    `java.io.OutputStream` | `openOutputStreamElementAppend​(java.lang.String streamName)` |
    `boolean` | `removeElement​(java.lang.String filename)` |
    `boolean` | `renameElement​(java.lang.String oldName, java.lang.String newName)` |
    `boolean` | `renameElementOrCopy​(java.lang.String oldName, java.lang.String newName)` |

- - ### Field Detail

    - #### ELEMENT_READ

          static final int ELEMENT_READ

      See Also:
        Constant Field Values

    - #### ELEMENT_SEEKABLEREAD

          static final int ELEMENT_SEEKABLEREAD

      See Also:
        Constant Field Values

    - #### ELEMENT_WRITE

          static final int ELEMENT_WRITE

      See Also:
        Constant Field Values

    - #### ELEMENT_READWRITE

          static final int ELEMENT_READWRITE

      See Also:
        Constant Field Values

    - #### ELEMENT_TRUNCATE

          static final int ELEMENT_TRUNCATE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### openInputStreamElement

          java.io.InputStream openInputStreamElement​(java.lang.String streamName)
                                              throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### openOutputStreamElement

          java.io.OutputStream openOutputStreamElement​(java.lang.String streamName)
                                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### openOutputStreamElementAppend

          java.io.OutputStream openOutputStreamElementAppend​(java.lang.String streamName)
                                                      throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### isStreamElement

          boolean isStreamElement​(java.lang.String elementName)

    - #### createParentDirs

          void createParentDirs​(java.lang.String filename)

    - #### removeElement

          boolean removeElement​(java.lang.String filename)

    - #### renameElement

          boolean renameElement​(java.lang.String oldName,
                                java.lang.String newName)

    - #### renameElementOrCopy

          boolean renameElementOrCopy​(java.lang.String oldName,
                                      java.lang.String newName)

    - #### getFileSync

          FileAccess.FileSync getFileSync​(java.io.OutputStream os)
                                   throws java.io.IOException

      Throws:
        `java.io.IOException`